document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.greeting-card');
  const hearts = document.querySelector('.floating-hearts');
  const languageToggle = document.querySelector('.toggle-language');
  let isSpanish = true;

  // Card flip
  card.addEventListener('click', (e) => {
    if (e.target !== languageToggle) {
      card.classList.toggle('flipped');
    }
  });

  // Floating hearts animation
  function createHeart() {
    const heart = document.createElement('div');
    heart.innerHTML = '♥';
    heart.style.position = 'absolute';
    heart.style.color = Math.random() > 0.5 ? 'var(--purple)' : 'var(--yellow)';
    heart.style.fontSize = Math.random() * 20 + 10 + 'px';
    heart.style.left = Math.random() * 100 + '%';
    heart.style.top = '0';
    heart.style.opacity = '0';
    heart.style.transform = `rotate(${Math.random() * 360}deg)`;
    heart.style.transition = 'all 3s ease-out';
    
    hearts.appendChild(heart);
    
    setTimeout(() => {
      heart.style.opacity = '1';
      heart.style.transform = `translateY(${Math.random() * 100 + 100}px) rotate(${Math.random() * 360}deg)`;
    }, 100);
    
    setTimeout(() => {
      heart.remove();
    }, 3000);
  }

  setInterval(createHeart, 300);

  // Language toggle
  languageToggle.addEventListener('click', (e) => {
    e.stopPropagation();
    isSpanish = !isSpanish;
    document.querySelectorAll('.spanish-text').forEach(el => {
      el.style.display = isSpanish ? 'block' : 'none';
    });
    document.querySelectorAll('.chinese-text').forEach(el => {
      el.style.display = isSpanish ? 'none' : 'block';
    });
  });
});
